Bug 959605 - UnboundLocalError: local variable 'l' referenced before assignment
Summary: UnboundLocalError: local variable 'l' referenced before assignment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:84656e66bbc58f939dc62864c8d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-04 01:34 UTC by Robert Lightfoot
Modified: 2014-10-07 23:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-07 23:26:04 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (985.22 KB, text/plain)
2013-05-04 01:35 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2013-05-04 01:34:44 UTC
Description of problem:
1.  Launch F19-Beta-TC2 installer from DVD.
2.  Select English as the language.
3.  Choose the installation source as http server.
4.  get fault.
The following was filed automatically by anaconda:
anaconda 19.23-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 655, in refresh
    self._urlEntry.set_text(proto[l:])
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 104, in _runSpoke
    action.refresh()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 386, in _on_spoke_clicked
    self._runSpoke(spoke)
UnboundLocalError: local variable 'l' referenced before assignment

Version-Release number of selected component:
anaconda-19.23-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC2\x20i386 xdriver=vesa nomodeset quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc8.git0.2.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC2

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 386, in _on_spoke_clicked
    self._runSpoke(spoke)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 104, in _runSpoke
    action.refresh()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 655, in refresh
    self._urlEntry.set_text(proto[l:])
UnboundLocalError: local variable 'l' referenced before assignment

Potential duplicate: bug 869102

Comment 1 Robert Lightfoot 2013-05-04 01:35:55 UTC
Created attachment 743419 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2013-05-04 01:49:22 UTC
When you say "Choose the installation source as http server." , can you give a bit more detail? Just in case it's important. thanks!

Comment 3 Robert Lightfoot 2013-05-04 01:50:10 UTC
Description of problem:
select http installtion source from gui

Version-Release number of selected component:
anaconda-19.23-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta-TC2\x20i386 xdriver=vesa nomodeset quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc8.git0.2.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC2

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 386, in _on_spoke_clicked
    self._runSpoke(spoke)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 104, in _runSpoke
    action.refresh()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 655, in refresh
    self._urlEntry.set_text(proto[l:])
UnboundLocalError: local variable 'l' referenced before assignment

Comment 4 Robert Lightfoot 2013-05-04 02:13:15 UTC
192.168.2.200/testing/i386/   and 192.168.2.200/testing/x86_64/  are the two URL entered in the GUI that generate this error.

Comment 5 Robert Lightfoot 2013-05-04 03:38:57 UTC
I should also mention that both repo worked successfully when entered as repo=http://192.168.2.200/testing/i386 or repo=http://192.168.2.200/testing/x86_64/ with a pxeboot command.  This error occurs when trying to enter the address into the UI-GUI for installation source.

Comment 6 Robert Lightfoot 2013-05-05 18:32:31 UTC
Performing the exact same opertions in 19-Beta-TC3 does not resultin this error.  It is quite likely that the TC3 installer resolved this.

Comment 7 Adam Williamson 2013-05-05 23:09:36 UTC
It'd be nice to check that makes sense to the devs, but if we don't hear back from them soon and you continue not to see the bug any more, we can close it. thanks!

Comment 8 Brian Lane 2013-06-06 00:29:35 UTC
It looks like this has been fixed in some other way, but I still don't like how we handle it here.

Comment 9 Brian Lane 2013-06-24 16:07:03 UTC
Fixed in commit 87c4b98 on master only.


Note You need to log in before you can comment on or make changes to this bug.